package com.yc.education.service.impl;

import com.github.pagehelper.PageHelper;
import com.yc.education.mapper.NewsCenterMapper;
import com.yc.education.model.NewsCenter;
import com.yc.education.service.INewsCenterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Hickey
 * @create 2019-07-23 11:45
 */
@Service
public class NewsCenterServiceImpl extends BaseService<NewsCenter> implements INewsCenterService {

    @Autowired
    private NewsCenterMapper mapper;

    /**
     * 前台
     * 查询所有新闻信息 并分页
     * @param id
     * @param pageNum
     * @param pageSize
     * @return
     */
    @Override
    public List<NewsCenter> listAllNews(Integer id,Integer pageNum,Integer pageSize){
        PageHelper.startPage( pageNum, pageSize);
        return mapper.listAllNews(id);
    }
    /**
     * 前台  主页
     * 根据类别id查询所有新闻信息 并分页
     * @param id
     * @return
     */
    @Override
    public List<NewsCenter> listAllNews(Integer id){

        return mapper.listAllNews(id);
    }

    /**
     * 后台  查询所有新闻信息并管理  分页 查询
     * @param id
     * @param title
     * @param pageNum
     * @param pageSize
     * @return
     */
    @Override
    public List<NewsCenter> manageAllNews(Integer id,String title,Integer pageNum,Integer pageSize){
        PageHelper.startPage(pageNum,pageSize);
        return mapper.manageAllNews(id,title);
    }

    /**
     * 后台 批量删除新闻信息
     * @param newsArray
     * @return
     */
    @Override
    public  int deleteNewsArray(int [] newsArray){

        return mapper.deleteNewsArray(newsArray);
    }

    /**
     * 后台类别管理
     * 根据分类id查询该类别下的所有资讯信息总数 来进行判断类别下还有没有信息
     * @param id
     */
    @Override
    public int  findCountNews(Integer id){
        return mapper.findCountNews(id);
    }

    /**
     * 后台类别管理
     * 根据批量删除的分类id查询所有资讯信息,来判断所选类别下是否还有资讯信息
     */
    @Override
    public int listCountNews(int [] typeArray){
        return  mapper.listCountNews(typeArray);
    }




}
